# FLUX.1 [Schell] Redux

**方法**: `POST`
**路径**: `/fal-ai/flux-1/schnell/redux`

输入图片的URL(必填)

## 请求参数

### Header 参数

```text
Content-Type
string
可选
示例:
application/json
Authorization
string
可选
默认值:
Bearer {{YOUR_API_KEY}}
```

### Body 参数 application/json

```text
image_url
string
必需
输入图片的URL(必填)
image_size
可选
生成图片尺寸，可选字符串或指定宽/高
One of:
string
object
枚举值:
square_hd
square
portrait_4_3
portrait_16_9
landscape_4_3
landscape_16_9
num_inference_steps
integer
推理步数
可选
>= 1
<= 12
默认值:
4
seed
integer
|
null
可选
随机种子，保证可复现
sync_mode
boolean
是否同步返回图片
可选
默认值:
false
num_images
integer
生成图片数量
可选
>= 1
<= 4
默认值:
1
enable_safety_checker
boolean
可选
是否启用敏感内容检测
默认值:
true
示例
{
"image_url"
:
"string"
,
"image_size"
:
"square_hd"
,
"num_inference_steps"
:
4
,
"seed"
:
0
,
"sync_mode"
:
false
,
"num_images"
:
1
,
"enable_safety_checker"
:
true
}
```

## 请求示例代码

### Shell

```bash
curl --location --request POST '/fal-ai/flux-1/schnell/redux' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "image_url": "string",
    "image_size": "square_hd",
    "num_inference_steps": 4,
    "seed": 0,
    "sync_mode": false,
    "num_images": 1,
    "enable_safety_checker": true
}'
```

## 返回响应

### 🟢 200 成功

**内容类型**: `application/json`

#### 响应结构

```text
status
string
必需
request_id
string
必需
response_url
string
必需
status_url
string
必需
cancel_url
string
必需
logs
object
必需
metrics
object
必需
queue_position
integer
必需
```

#### 示例

```json
{
  "status": "IN_QUEUE",
  "request_id": "xxx123",
  "response_url": "https://queue.fal.run/xxx/response",
  "status_url": "https://queue.fal.run/xxx/status",
  "cancel_url": "https://queue.fal.run/xxx/cancel",
  "logs": {},
  "metrics": {},
  "queue_position": 2
}

```
